# kmdi Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMDIPrivate::ToggleToolViewAction Class Reference

A KToggleAction specifically for toggling the showing or the hiding of a KMDI tool view. More...

`#include <kmdiguiclient.h>`

Collaboration diagram for KMDIPrivate::ToggleToolViewAction:

[legend]
List of all members.

## Public Member Functions

| ToggleToolViewAction (const QString &text, const KShortcut &cut=KShortcut(), KDockWidget *dw=0, KMDI::MainWindow *mdiMainFrm=0, QObject *parent=0, const char *name=0)
| ToggleToolViewAction (const QString &text, const KShortcut &cut=KShortcut(), KDockWidget *dw=0, KMdiMainFrm *mdiMainFrm=0, QObject *parent=0, const char *name=0)

## Protected Slots

void | slotToggled (bool)
void | anDWChanged ()
void | slotWidgetDestroyed ()
void | slotToggled (bool)
void | anDWChanged ()
void | slotWidgetDestroyed ()

## Detailed Description

A KToggleAction specifically for toggling the showing or the hiding of a KMDI tool view.

Definition at line 79 of file guiclient.h.

The documentation for this class was generated from the following files:

- guiclient.h
- kmdiguiclient.h
- guiclient.cpp
- kmdiguiclient.cpp

This file is part of the documentation for kmdi Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:32:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003